/**
 * 温湿度配置接口
 */
import request from '@/utils/request'
// 温湿度配置查询
export function getTempConfigList(params) {
  return request({
    url: 'busConfig/tempConfig/list',
    method: 'get',
    params
  })
}

// 修改温湿度配置
export function editTempConfig(params) {
  return request({
    url: 'busConfig/tempConfig/config',
    method: 'post',
    params
  })
}

// 批量导入
export function batchImportTempConfig(fileobj) {
  const param = new FormData()
  param.append('file', fileobj)
  return request({
    url: 'busConfig/tempConfig/batchImport',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
// 批量导出
export function batchExportTempConfig(params) {
  return request({
    url: 'busConfig/tempConfig/batchExport',
    method: 'get',
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
